autoweka

## Class ClassifierResult

- java.lang.Object
- - autoweka.ClassifierResult

-     public class ClassifierResult
      extends java.lang.Object

  Wraps all the data that comes from training a classifier so it can be passed back to a SMBO method

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ClassifierResult.AreaAboveROCMetric`
    `static class` | `ClassifierResult.AreaUnderROCMetric`
    `static class` | `ClassifierResult.AvgCostMetric`
    `static class` | `ClassifierResult.CorrectMetric`
    `static class` | `ClassifierResult.CorrelationCoefficientMetric`
    `static class` | `ClassifierResult.ErrorRateMetric`
    `static class` | `ClassifierResult.FalseNegativeRateMetric`
    `static class` | `ClassifierResult.FalsePositiveRateMetric`
    `static class` | `ClassifierResult.FMeasureMetric`
    `static class` | `ClassifierResult.IncorrectMetric`
    `static class` | `ClassifierResult.KappaMetric`
    `static class` | `ClassifierResult.KBInformationMetric`
    `static class` | `ClassifierResult.KBMeanInformationMetric`
    `static class` | `ClassifierResult.KBRelativeInformationMetric`
    `static class` | `ClassifierResult.MeanAbsoluteErrorMetric`
    `static interface` | `ClassifierResult.Metric` Generic interface for different Metrics You can define custom metrics and use them by using their full class name
    `static class` | `ClassifierResult.PctCorrectMetric`
    `static class` | `ClassifierResult.PctIncorrectMetric`
    `static class` | `ClassifierResult.PrecisionMetric`
    `static class` | `ClassifierResult.RelativeAbsoluteErrorMetric`
    `static class` | `ClassifierResult.RootMeanSquaredErrorMetric`
    `static class` | `ClassifierResult.RootRelativeSquaredErrorMetric`
    `static class` | `ClassifierResult.WeightedAreaUnderROCMetric`
    `static class` | `ClassifierResult.WeightedFalseNegativeRateMetric`
    `static class` | `ClassifierResult.WeightedFalsePositiveRateMetric`
    `static class` | `ClassifierResult.WeightedFMeasureMetric`
    `static class` | `ClassifierResult.WeightedPrecisionMetric`
    `static class` | `ClassifierResult.WeightedRecallMetric`
    `static class` | `ClassifierResult.WeightedTrueNegativeRateMetric`
    `static class` | `ClassifierResult.WeightedTruePositiveRateMetric`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static double` | `INFINITY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClassifierResult(ClassifierResult.Metric type)`
    `ClassifierResult(java.lang.String str)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `_setRawScore(double score)`
    `weka.attributeSelection.AttributeSelection` | `getAttributeSelection()`
    `double` | `getAttributeSelectionTime()`
    `weka.classifiers.AbstractClassifier` | `getClassifier()`
    `boolean` | `getCompleted()`
    `java.lang.String` | `getDescription()`
    `double` | `getEvaluationTime()`
    `static double` | `getInfinity()`
    `boolean` | `getMemOut()`
    `double` | `getNormalizationPenalty()`
    `double` | `getPercentEvaluated()`
    `double` | `getRawScore()`
    `double` | `getScore()` Gets the 'score' for this result, which includes the regularization penalty plus the metric value
    `double` | `getTime()` Gets the total time spent dealing with this classifier
    `double` | `getTrainingTime()`
    `void` | `setAttributeSelection(weka.attributeSelection.AttributeSelection search)`
    `void` | `setAttributeSelectionTime(double time)`
    `void` | `setClassifier(weka.classifiers.AbstractClassifier cls)`
    `void` | `setCompleted(boolean completed)`
    `void` | `setEvaluationTime(double time)`
    `void` | `setMemOut(boolean memout)`
    `void` | `setPercentEvaluated(double pct)`
    `void` | `setPercentEvaluated(weka.classifiers.Evaluation eval)`
    `void` | `setRegularizationPenalty(double penalty)`
    `void` | `setScoreFromEval(weka.classifiers.Evaluation eval, weka.core.Instances testingData)`
    `void` | `setTrainingTime(double time)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### INFINITY

          public static final double INFINITY

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ClassifierResult

          public ClassifierResult(java.lang.String str)

    - #### ClassifierResult

          public ClassifierResult(ClassifierResult.Metric type)

  - ### Method Detail

    - #### getInfinity

          public static double getInfinity()

    - #### getCompleted

          public boolean getCompleted()

    - #### setCompleted

          public void setCompleted(boolean completed)

    - #### getRawScore

          public double getRawScore()

    - #### setScoreFromEval

          public void setScoreFromEval(weka.classifiers.Evaluation eval,
                                       weka.core.Instances testingData)

    - #### setPercentEvaluated

          public void setPercentEvaluated(weka.classifiers.Evaluation eval)

    - #### setPercentEvaluated

          public void setPercentEvaluated(double pct)

    - #### getPercentEvaluated

          public double getPercentEvaluated()

    - #### _setRawScore

          public void _setRawScore(double score)

    - #### getNormalizationPenalty

          public double getNormalizationPenalty()

    - #### setRegularizationPenalty

          public void setRegularizationPenalty(double penalty)

    - #### getTrainingTime

          public double getTrainingTime()

    - #### setTrainingTime

          public void setTrainingTime(double time)

    - #### getAttributeSelectionTime

          public double getAttributeSelectionTime()

    - #### setAttributeSelectionTime

          public void setAttributeSelectionTime(double time)

    - #### getEvaluationTime

          public double getEvaluationTime()

    - #### setEvaluationTime

          public void setEvaluationTime(double time)

    - #### getTime

          public double getTime()

      Gets the total time spent dealing with this classifier
      Returns:
        The total time.

    - #### getScore

          public double getScore()

      Gets the 'score' for this result, which includes the regularization penalty plus the metric value
      Returns:
        The score.

    - #### getDescription

          public java.lang.String getDescription()

    - #### setClassifier

          public void setClassifier(weka.classifiers.AbstractClassifier cls)

    - #### getClassifier

          public weka.classifiers.AbstractClassifier getClassifier()

    - #### setAttributeSelection

          public void setAttributeSelection(weka.attributeSelection.AttributeSelection search)

    - #### getAttributeSelection

          public weka.attributeSelection.AttributeSelection getAttributeSelection()

    - #### setMemOut

          public void setMemOut(boolean memout)

    - #### getMemOut

          public boolean getMemOut()